AbstractGovernor (cloudsim 3.1-SNAPSHOT API)

org.cloudbus.cloudsim.power.dvfs

## Class AbstractGovernor

- java.lang.Object
- - org.cloudbus.cloudsim.power.dvfs.AbstractGovernor

- Direct Known Subclasses:
    ConservativeGovernor, OnDemandGovernor, PerformanceGovernor, PowerSaveGovernor, UserSpaceGovernor

      public abstract class AbstractGovernor
      extends Object

  Governor DVFS Class The Governor decides if it's time to increase/decrease the CPU frequency, regarding a certain threshold.
  Author:
    Guérout Tom, Monteil Thierry, Da Costa Georges | LAAS - IRIT , Toulouse, France Please cite: T. Guérout et al., Energy-aware simulation with DVFS, Simulat. Modell. Pract. Theory (2013), http://dx.doi.org/10.1016/j.simpat.2013.04.007

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `defautIndexFreq`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractGovernor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected int` | `decision(double util)` Return the dvfs governor Decision regarding the current CPU Utilization This methode is the same for all mode, it just decide to increase or decrease frequency in relantion with Thresholds.
    `int` | `getDefautIndexFreq()`
    `String` | `getName()`
    `void` | `setDefautIndexFreq(int nb_freq)`
    `protected void` | `setDownThreshold(int down_threshold)`
    `protected void` | `setName(String name)`
    `protected void` | `setUpThreshold(int up_threshold)`
    `int` | `SpecificDecision(double util)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### defautIndexFreq

          protected int defautIndexFreq

  - ### Constructor Detail

    - #### AbstractGovernor

          public AbstractGovernor()

  - ### Method Detail

    - #### SpecificDecision

          public int SpecificDecision(double util)

    - #### decision

          protected int decision(double util)

      Return the dvfs governor Decision regarding the current CPU Utilization This methode is the same for all mode, it just decide to increase or decrease frequency in relantion with Thresholds.
      Returns:
        0/-1/1 , the decision : increase/decrease or no the frequency

    - #### setDownThreshold

          protected void setDownThreshold(int down_threshold)

    - #### setUpThreshold

          protected void setUpThreshold(int up_threshold)

    - #### setName

          protected void setName(String name)

    - #### getName

          public String getName()

    - #### getDefautIndexFreq

          public int getDefautIndexFreq()

    - #### setDefautIndexFreq

          public void setDefautIndexFreq(int nb_freq)

Copyright © 2013 The Cloud Computing and Distributed Systems (CLOUDS) Laboratory, The University of Melbourne. All Rights Reserved.